extern crate sigils;



use sigils::vector::{EuclideanVector, Vector2, Vector3, Vector4};



pub fn main()
{
   let length: f32;
   let vec2: Vector2<f64>;
   let vec3: Vector3<f64>;
   let vec4: Vector4<f64>;
   let vector: Vector4<f32>;

   vec2 = Vector2::default();
   println!("Vector2: {}", vec2);

   vec3 = Vector3::default();
   println!("Vector3: {}", vec3);

   vec4 = Vector4::default();
   println!("Vector4: {}", vec4);

   vector = Vector4::new(5.5f32, 5.5f32, 5.5f32, 5.5f32);
   length = vector.get_length();
   println!("Vector: {}  --  Length: {}", vector, length);
   assert_eq!(length, 11.0f32);
}
